Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.net
Class JMSSink

    java.lang.Object
      org.apache.log4j.net.JMSSink

All Implemented Interfaces:
  javax.jms.MessageListener

    public class JMSSink

extends java.lang.Object
implements javax.jms.MessageListener

A simple application that consumes logging events sent by a `JMSAppender`.

Author:
  Ceki Gülcü

Constructor Summary
`JMSSink(java.lang.String tcfBindingName, java.lang.String topicBindingName, java.lang.String username, java.lang.String password)`

Method Summary
`protected static java.lang.Object` | `lookup(javax.naming.Context ctx, java.lang.String name)`
`static void` | `main(java.lang.String[] args)`
`void` | `onMessage(javax.jms.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSSink

    public JMSSink(java.lang.String tcfBindingName,
                   java.lang.String topicBindingName,
                   java.lang.String username,
                   java.lang.String password)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### onMessage

    public void onMessage(javax.jms.Message message)

  Specified by:
    `onMessage` in interface `javax.jms.MessageListener`

### lookup

    protected static java.lang.Object lookup(javax.naming.Context ctx,
                                             java.lang.String name)
                                      throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.